﻿@{
    ViewBag.Title = "Main Page";
}

@model  CardFileOfTextMaterials.BLL.DTO.Out.SortedObjDTO

@using CardFileOfTextMaterials.BLL.DTO.Out

@helper CreateListMedia(List<CardFileOfTextMaterials.BLL.DTO.In.MainMediaDTO> collections)
{    
        @Html.AntiForgeryToken()
        <div class="row">

            @foreach (var el in collections)
            {
                <a class="col-md-3 NoneStyle" href="@Url.Action("WatchMedia", new { el.Id })" >

                    <div class="card mb-3 box-shadow">
                        <img class="card-img-top main-image" src="@Url.Content(@el.PathJpg)" alt="Image of video">
                        <div class="card-body">
                            <h4 class="card-text">@el.Name</h4>
                            <h6>@el.UserName </h6>
                            <div class="d-flex justify-content-between align-items-center">
                                <small class="text-muted">@el.Created</small>
                            </div>
                        </div>
                    </div>
                </a>
            }
        </div>  
}

<div class="container-fluid">
    <div class="row">
        <nav class="col-md-2 d-none d-md-block bg-light sidebar GrayWhite">
            <form name="formName" method="post" action="/Home/SortedMain">
                <h4 class="TextSorted">Type Media</h4>
                @foreach (string el in ViewBag.CollectionCriteria)
                {
                    <div class="checkbox">
                        <label>
                            @Html.CheckBoxFor(r => r.TypeMedia[el], new { onclick = "this.form.submit();" })
                            @el
                        </label>
                    </div>
                }
                <h4 class="TextSorted">Sorted For</h4>
                <div class="form-group">
                    @Html.RadioButtonFor(r => r.PopularityAndData, PopularityDataSorted.ForPopularityIncrease, new { onclick = "this.form.submit();" })
                    <span>Popular first</span><br />
                    @Html.RadioButtonFor(r => r.PopularityAndData, PopularityDataSorted.ForPopularityDecrease, new { onclick = "this.form.submit();" })
                    <span>Unpopular at first</span><br />
                    @Html.RadioButtonFor(r => r.PopularityAndData, PopularityDataSorted.ForDataIncrease, new { onclick = "this.form.submit();" })
                    <span>New first</span><br />
                    @Html.RadioButtonFor(r => r.PopularityAndData, PopularityDataSorted.ForDataDecrease, new { onclick = "this.form.submit();" })
                    <span>Old first</span><br />
                </div>
            </form>
        </nav>

        <main role="main" class="col-md-9 ml-sm-auto col-lg-10 pt-3 px-4 MainPage">
            @CreateListMedia(ViewBag.Collection)
        </main>
    </div>
</div>
